Package org.drinkless.tdlib

# Class TdApi.TemporaryPasswordState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TemporaryPasswordState

Enclosing class:
  `TdApi`

public static class TdApi.TemporaryPasswordState extends TdApi.Object
Returns information about the availability of a temporary password, which can be used for payments.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasPassword`
  True, if a temporary password is available.
  `int`
  `validFor`
  Time left before the temporary password expires, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemporaryPasswordState()`
  Returns information about the availability of a temporary password, which can be used for payments.
  `TemporaryPasswordState(boolean hasPassword, int validFor)`
  Returns information about the availability of a temporary password, which can be used for payments.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### hasPassword

    public boolean hasPassword
    True, if a temporary password is available.

  - ### validFor

    public int validFor
    Time left before the temporary password expires, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TemporaryPasswordState

    public TemporaryPasswordState()
    Returns information about the availability of a temporary password, which can be used for payments.

  - ### TemporaryPasswordState

    public TemporaryPasswordState(boolean hasPassword, int validFor)
    Returns information about the availability of a temporary password, which can be used for payments.
    Parameters:
      `hasPassword` - True, if a temporary password is available.
      `validFor` - Time left before the temporary password expires, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR